diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/callback.h ns-3.44/src/core/model/callback.h
--- ns-3.43/src/core/model/callback.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/callback.h	2025-03-09 16:55:49.355371000 -0700
@@ -24,8 +24,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup callback
+ * @file
+ * @ingroup callback
  * Declaration of the various callback functions.
  */
 
@@ -36,26 +36,26 @@
 // since the implementations are interleaved.
 
 /**
- * \ingroup core
- * \defgroup callback Callbacks
- * \brief Wrap functions, objects, and arguments into self contained callbacks.
+ * @ingroup core
+ * @defgroup callback Callbacks
+ * @brief Wrap functions, objects, and arguments into self contained callbacks.
  *
  * Wrapped callbacks are at the heart of scheduling events in the
  * simulator.
  */
 /**
- * \ingroup callback
- * \defgroup callbackimpl Callback Implementation
+ * @ingroup callback
+ * @defgroup callbackimpl Callback Implementation
  * Callback implementation classes
  */
 /**
- * \ingroup callbackimpl
- * \defgroup makeboundcallback MakeBoundCallback from functions bound with up to three arguments.
+ * @ingroup callbackimpl
+ * @defgroup makeboundcallback MakeBoundCallback from functions bound with up to three arguments.
  *
  * Build bound Callbacks which take varying numbers of arguments,
  * and potentially returning a value.
  *
- * \internal
+ * @internal
  *
  * The following is experimental code. It works but we have
  * not yet determined whether or not it is really useful and whether
@@ -63,7 +63,7 @@
  */
 
 /**
- * \ingroup callbackimpl
+ * @ingroup callbackimpl
  * Abstract base class for CallbackImpl
  * Provides reference counting and equality test.
  */
@@ -78,13 +78,13 @@
     /**
      * Equality test
      *
-     * \param [in] other Callback Ptr
-     * \return \c true if we are equal
+     * @param [in] other Callback Ptr
+     * @return \c true if we are equal
      */
     virtual bool IsEqual(Ptr<const CallbackImplBase> other) const = 0;
     /**
      * Get the name of this object type.
-     * \return The object type as a string.
+     * @return The object type as a string.
      */
     virtual std::string GetTypeid() const = 0;
 
@@ -92,8 +92,8 @@
     /**
      * Helper to get the C++ typeid as a string.
      *
-     * \tparam T \explicit The type of the argument.
-     * \returns The result of applying typeid to the template type \pname{T}.
+     * @tparam T \explicit The type of the argument.
+     * @returns The result of applying typeid to the template type \pname{T}.
      */
     template <typename T>
     static std::string GetCppTypeid()
@@ -113,7 +113,7 @@
 };
 
 /**
- * \ingroup callbackimpl
+ * @ingroup callbackimpl
  * Abstract base class for CallbackComponent.
  * Provides equality test.
  */
@@ -128,20 +128,20 @@
     /**
      * Equality test
      *
-     * \param [in] other CallbackComponent Ptr
-     * \return \c true if we are equal
+     * @param [in] other CallbackComponent Ptr
+     * @return \c true if we are equal
      */
     virtual bool IsEqual(std::shared_ptr<const CallbackComponentBase> other) const = 0;
 };
 
 /**
- * \ingroup callbackimpl
+ * @ingroup callbackimpl
  * Stores a component of a callback, i.e., the callable object
  * or a bound argument. The purpose of this class is to test
  * the equality of the components of two callbacks.
  *
- * \tparam T The type of the callback component.
- * \tparam isComparable whether this callback component can be compared to others of the same type
+ * @tparam T The type of the callback component.
+ * @tparam isComparable whether this callback component can be compared to others of the same type
  */
 template <typename T, bool isComparable = true>
 class CallbackComponent : public CallbackComponentBase
@@ -150,7 +150,7 @@
     /**
      * Constructor
      *
-     * \param [in] t The value of the callback component
+     * @param [in] t The value of the callback component
      */
     CallbackComponent(const T& t)
         : m_comp(t)
@@ -160,8 +160,8 @@
     /**
      * Equality test between the values of two components
      *
-     * \param [in] other CallbackComponentBase Ptr
-     * \return \c true if we are equal
+     * @param [in] other CallbackComponentBase Ptr
+     * @return \c true if we are equal
      */
     bool IsEqual(std::shared_ptr<const CallbackComponentBase> other) const override
     {
@@ -176,7 +176,7 @@
 };
 
 /**
- * \ingroup callbackimpl
+ * @ingroup callbackimpl
  * Partial specialization of class CallbackComponent with isComparable equal
  * to false. This is required to handle callable objects (such as lambdas and
  * objects returned by std::function and std::bind) that do not provide the
@@ -184,7 +184,7 @@
  * purpose of the class CallbackComponent is to compare values, no object is
  * stored in this specialized class.
  *
- * \tparam T The type of the callback component.
+ * @tparam T The type of the callback component.
  */
 template <typename T>
 class CallbackComponent<T, false> : public CallbackComponentBase
@@ -193,7 +193,7 @@
     /**
      * Constructor
      *
-     * \param [in] t The value of the callback component
+     * @param [in] t The value of the callback component
      */
     CallbackComponent(const T& t)
     {
@@ -202,8 +202,8 @@
     /**
      * Equality test between functions
      *
-     * \param [in] other CallbackParam Ptr
-     * \return \c true if we are equal
+     * @param [in] other CallbackParam Ptr
+     * @return \c true if we are equal
      */
     bool IsEqual(std::shared_ptr<const CallbackComponentBase> other) const override
     {
@@ -215,11 +215,11 @@
 typedef std::vector<std::shared_ptr<CallbackComponentBase>> CallbackComponentVector;
 
 /**
- * \ingroup callbackimpl
+ * @ingroup callbackimpl
  * CallbackImpl class with varying numbers of argument types
  *
- * \tparam R \explicit The return type of the Callback.
- * \tparam UArgs \explicit The types of any arguments to the Callback.
+ * @tparam R \explicit The return type of the Callback.
+ * @tparam UArgs \explicit The types of any arguments to the Callback.
  */
 template <typename R, typename... UArgs>
 class CallbackImpl : public CallbackImplBase
@@ -228,8 +228,8 @@
     /**
      * Constructor.
      *
-     * \param func the callable object
-     * \param components the callback components (callable object and bound arguments)
+     * @param func the callable object
+     * @param components the callback components (callable object and bound arguments)
      */
     CallbackImpl(std::function<R(UArgs...)> func, const CallbackComponentVector& components)
         : m_func(func),
@@ -239,7 +239,7 @@
 
     /**
      * Get the stored function.
-     * \return A const reference to the stored function.
+     * @return A const reference to the stored function.
      */
     const std::function<R(UArgs...)>& GetFunction() const
     {
@@ -248,7 +248,7 @@
 
     /**
      * Get the vector of callback components.
-     * \return A const reference to the vector of callback components.
+     * @return A const reference to the vector of callback components.
      */
     const CallbackComponentVector& GetComponents() const
     {
@@ -258,8 +258,8 @@
     /**
      * Function call operator.
      *
-     * \param uargs The arguments to the Callback.
-     * \return Callback value
+     * @param uargs The arguments to the Callback.
+     * @return Callback value
      */
     R operator()(UArgs... uargs) const
     {
@@ -308,7 +308,7 @@
         return DoGetTypeid();
     }
 
-    /** \copydoc GetTypeid() */
+    /** @copydoc GetTypeid() */
     static std::string DoGetTypeid()
     {
         static std::vector<std::string> vec = {GetCppTypeid<R>(), GetCppTypeid<UArgs>()...};
@@ -336,7 +336,7 @@
 };
 
 /**
- * \ingroup callbackimpl
+ * @ingroup callbackimpl
  * Base class for Callback class.
  * Provides pimpl abstraction.
  */
@@ -348,7 +348,7 @@
     {
     }
 
-    /** \return The impl pointer */
+    /** @return The impl pointer */
     Ptr<CallbackImplBase> GetImpl() const
     {
         return m_impl;
@@ -357,7 +357,7 @@
   protected:
     /**
      * Construct from a pimpl
-     * \param [in] impl The CallbackImplBase Ptr
+     * @param [in] impl The CallbackImplBase Ptr
      */
     CallbackBase(Ptr<CallbackImplBase> impl)
         : m_impl(impl)
@@ -368,8 +368,8 @@
 };
 
 /**
- * \ingroup callback
- * \brief Callback template class
+ * @ingroup callback
+ * @brief Callback template class
  *
  * This class template implements the Functor Design Pattern.
  * It is used to declare the type of a Callback:
@@ -386,9 +386,9 @@
  *
  * Sample code which shows how to use this class template
  * as well as the function templates \ref MakeCallback :
- * \include src/core/examples/main-callback.cc
+ * @include src/core/examples/main-callback.cc
  *
- * \internal
+ * @internal
  * This code was originally written based on the techniques
  * described in http://www.codeproject.com/cpp/TTLFunction.asp
  * It was subsequently rewritten to follow the architecture
@@ -412,10 +412,10 @@
  * and relies on a reference list rather than autoPtr to hold
  * the pointer.
  *
- * \see attribute_Callback
+ * @see attribute_Callback
  *
- * \tparam R \explicit The return type of the Callback.
- * \tparam UArgs \explicit The types of any arguments to the Callback.
+ * @tparam R \explicit The return type of the Callback.
+ * @tparam UArgs \explicit The types of any arguments to the Callback.
  */
 template <typename R, typename... UArgs>
 class Callback : public CallbackBase
@@ -431,7 +431,7 @@
     /**
      * Construct from a CallbackImpl pointer
      *
-     * \param [in] impl The CallbackImpl Ptr
+     * @param [in] impl The CallbackImpl Ptr
      */
     Callback(const Ptr<CallbackImpl<R, UArgs...>>& impl)
         : CallbackBase(impl)
@@ -441,9 +441,9 @@
     /**
      * Construct from another callback and bind some arguments (if any)
      *
-     * \tparam BArgs \deduced The types of the bound arguments
-     * \param [in] cb The existing callback
-     * \param [in] bargs The values of the bound arguments
+     * @tparam BArgs \deduced The types of the bound arguments
+     * @param [in] cb The existing callback
+     * @param [in] bargs The values of the bound arguments
      */
     template <typename... BArgs>
     Callback(const Callback<R, BArgs..., UArgs...>& cb, BArgs... bargs)
@@ -464,12 +464,12 @@
     /**
      * Construct from a function and bind some arguments (if any)
      *
-     * \tparam T \deduced The type of the function
-     * \tparam BArgs \deduced The types of the bound arguments
-     * \param [in] func The function
-     * \param [in] bargs The values of the bound arguments
+     * @tparam T \deduced The type of the function
+     * @tparam BArgs \deduced The types of the bound arguments
+     * @param [in] func The function
+     * @param [in] bargs The values of the bound arguments
      *
-     * \internal
+     * @internal
      * We leverage SFINAE to have the compiler discard this constructor when the type
      * of the first argument is a class derived from CallbackBase (i.e., a Callback).
      */
@@ -503,12 +503,12 @@
     /**
      * Implementation of the Bind method
      *
-     * \tparam BoundArgs The types of the arguments to bind
-     * \param [in] seq A compile-time integer sequence
-     * \param [in] bargs The values of the arguments to bind
-     * \return The bound callback
+     * @tparam BoundArgs The types of the arguments to bind
+     * @param [in] seq A compile-time integer sequence
+     * @param [in] bargs The values of the arguments to bind
+     * @return The bound callback
      *
-     * \internal
+     * @internal
      * The integer sequence is 0..N-1, where N is the number of arguments left unbound.
      */
     template <std::size_t... INDEX, typename... BoundArgs>
@@ -535,9 +535,9 @@
     /**
      * Bind a variable number of arguments
      *
-     * \tparam BoundArgs \deduced The types of the arguments to bind
-     * \param [in] bargs The values of the arguments to bind
-     * \return The bound callback
+     * @tparam BoundArgs \deduced The types of the arguments to bind
+     * @param [in] bargs The values of the arguments to bind
+     * @return The bound callback
      */
     template <typename... BoundArgs>
     auto Bind(BoundArgs&&... bargs)
@@ -550,7 +550,7 @@
     /**
      * Check for null implementation
      *
-     * \return \c true if I don't have an implementation
+     * @return \c true if I don't have an implementation
      */
     bool IsNull() const
     {
@@ -566,8 +566,8 @@
     /**
      * Functor with varying numbers of arguments
      *
-     * \param uargs The arguments to the callback
-     * \return Callback value
+     * @param uargs The arguments to the callback
+     * @return Callback value
      */
     R operator()(UArgs... uargs) const
     {
@@ -577,8 +577,8 @@
     /**
      * Equality test.
      *
-     * \param [in] other Callback
-     * \return \c true if we are equal
+     * @param [in] other Callback
+     * @return \c true if we are equal
      */
     bool IsEqual(const CallbackBase& other) const
     {
@@ -588,8 +588,8 @@
     /**
      * Check for compatible types
      *
-     * \param [in] other Callback Ptr
-     * \return \c true if other can be dynamic_cast to my type
+     * @param [in] other Callback Ptr
+     * @return \c true if other can be dynamic_cast to my type
      */
     bool CheckType(const CallbackBase& other) const
     {
@@ -599,8 +599,8 @@
     /**
      * Adopt the other's implementation, if type compatible
      *
-     * \param [in] other Callback
-     * \returns \c true if \pname{other} was type-compatible and could be adopted.
+     * @param [in] other Callback
+     * @returns \c true if \pname{other} was type-compatible and could be adopted.
      */
     bool Assign(const CallbackBase& other)
     {
@@ -620,7 +620,7 @@
     }
 
   private:
-    /** \return The pimpl pointer */
+    /** @return The pimpl pointer */
     CallbackImpl<R, UArgs...>* DoPeekImpl() const
     {
         return static_cast<CallbackImpl<R, UArgs...>*>(PeekPointer(m_impl));
@@ -629,8 +629,8 @@
     /**
      * Check for compatible types
      *
-     * \param [in] other Callback Ptr
-     * \return \c true if other can be dynamic_cast to my type
+     * @param [in] other Callback Ptr
+     * @return \c true if other can be dynamic_cast to my type
      */
     bool DoCheckType(Ptr<const CallbackImplBase> other) const
     {
@@ -646,12 +646,12 @@
 /**
  * Inequality test.
  *
- * \tparam R \explicit The return type of the Callbacks
- * \tparam UArgs \explicit The types of any arguments to the Callbacks
- * \param [in] a Callback
- * \param [in] b Callback
+ * @tparam R \explicit The return type of the Callbacks
+ * @tparam UArgs \explicit The types of any arguments to the Callbacks
+ * @param [in] a Callback
+ * @param [in] b Callback
  *
- * \return \c true if the Callbacks are not equal
+ * @return \c true if the Callbacks are not equal
  */
 template <typename R, typename... Args>
 bool
@@ -667,14 +667,14 @@
  * Build Callbacks for class method members which take varying numbers
  * of arguments and potentially returning a value.
  *
- * \tparam T   \deduced Type of the class having the member function.
- * \tparam OBJ \deduced Type of the class instance.
- * \tparam R   \deduced Return type of the callback.
- * \tparam Args \deduced Type list of any arguments to the member function.
- *
- * \param [in] memPtr Class method member pointer
- * \param [in] objPtr Class instance
- * \return A wrapper Callback
+ * @tparam T   \deduced Type of the class having the member function.
+ * @tparam OBJ \deduced Type of the class instance.
+ * @tparam R   \deduced Return type of the callback.
+ * @tparam Args \deduced Type list of any arguments to the member function.
+ *
+ * @param [in] memPtr Class method member pointer
+ * @param [in] objPtr Class instance
+ * @return A wrapper Callback
  *
  * Build Callbacks for class method members which take varying numbers of arguments
  * and potentially returning a value.
@@ -696,11 +696,11 @@
 /**@}*/
 
 /**
- * \ingroup callback
- * \tparam R   \deduced Return type of the callback function..
- * \tparam Args  \deduced Type list of any arguments to the member function.
- * \param [in] fnPtr Function pointer
- * \return A wrapper Callback
+ * @ingroup callback
+ * @tparam R   \deduced Return type of the callback function..
+ * @tparam Args  \deduced Type list of any arguments to the member function.
+ * @param [in] fnPtr Function pointer
+ * @return A wrapper Callback
  *
  * Build Callbacks for functions which take varying numbers of arguments
  * and potentially returning a value.
@@ -713,10 +713,10 @@
 }
 
 /**
- * \ingroup callback
- * \tparam R   \deduced Return type of the callback function..
- * \tparam Args  \deduced Type list of any arguments to the member function.
- * \return A wrapper Callback
+ * @ingroup callback
+ * @tparam R   \deduced Return type of the callback function..
+ * @tparam Args  \deduced Type list of any arguments to the member function.
+ * @return A wrapper Callback
  *
  * Build null Callbacks which take no arguments,
  * for varying number of template arguments,
@@ -730,15 +730,15 @@
 }
 
 /**
- * \ingroup makeboundcallback
+ * @ingroup makeboundcallback
  * @{
  * Make Callbacks with varying number of bound arguments.
- * \tparam R   \deduced Return type of the callback function..
- * \tparam Args \deduced Type list of any arguments to the member function.
- * \tparam BArgs \deduced Type list of bound arguments.
- * \param [in] fnPtr Function pointer
- * \param [in] bargs Bound arguments
- * \return A bound Callback
+ * @tparam R   \deduced Return type of the callback function..
+ * @tparam Args \deduced Type list of any arguments to the member function.
+ * @tparam BArgs \deduced Type list of bound arguments.
+ * @param [in] fnPtr Function pointer
+ * @param [in] bargs Bound arguments
+ * @return A bound Callback
  */
 template <typename R, typename... Args, typename... BArgs>
 auto
@@ -748,15 +748,15 @@
 }
 
 /**
- * \tparam T   \deduced Type of the class having the member function.
- * \tparam OBJ \deduced Type of the class instance.
- * \tparam R   \deduced Return type of the callback.
- * \tparam Args \deduced Type list of any arguments to the member function.
- * \tparam BArgs \deduced Type list of bound arguments.
- * \param [in] memPtr Class method member pointer
- * \param [in] objPtr Class instance
- * \param [in] bargs Bound arguments
- * \return A wrapper Callback
+ * @tparam T   \deduced Type of the class having the member function.
+ * @tparam OBJ \deduced Type of the class instance.
+ * @tparam R   \deduced Return type of the callback.
+ * @tparam Args \deduced Type list of any arguments to the member function.
+ * @tparam BArgs \deduced Type list of bound arguments.
+ * @param [in] memPtr Class method member pointer
+ * @param [in] objPtr Class instance
+ * @param [in] bargs Bound arguments
+ * @return A wrapper Callback
  *
  * Build Callbacks for class method members which take varying numbers of arguments
  * and potentially returning a value.
@@ -793,20 +793,20 @@
     CallbackBase Get();
     template <typename T>
     bool GetAccessor(T& value) const;
-    /** \return A copy of this CallBack */
+    /** @return A copy of this CallBack */
     Ptr<AttributeValue> Copy() const override;
     /**
      * Serialize to string
-     * \param [in] checker The checker to validate with
-     * \return Serialized form of this Callback.
+     * @param [in] checker The checker to validate with
+     * @return Serialized form of this Callback.
      */
     std::string SerializeToString(Ptr<const AttributeChecker> checker) const override;
     /**
      * Deserialize from string (not implemented)
      *
-     * \param [in] value Source string
-     * \param [in] checker Checker to validate with
-     * \return \c true if successful
+     * @param [in] value Source string
+     * @param [in] checker Checker to validate with
+     * @return \c true if successful
      */
     bool DeserializeFromString(std::string value, Ptr<const AttributeChecker> checker) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/command-line.cc ns-3.44/src/core/model/command-line.cc
--- ns-3.43/src/core/model/command-line.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/command-line.cc	2025-03-09 16:55:49.355371000 -0700
@@ -30,8 +30,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup commandline
+ * @file
+ * @ingroup commandline
  * ns3::CommandLine implementation.
  */
 
@@ -43,8 +43,8 @@
  * Usage and help strings, which are intended for text-only display,
  * can contain illegal characters for HTML.  This function
  * encodes '&', '\"', '\'',  and '<'.
- * \param [in] source The original string.
- * \returns The HTML-encoded version.
+ * @param [in] source The original string.
+ * @returns The HTML-encoded version.
  */
 std::string
 Encode(const std::string& source)
